FROM openshift/golang-builder:1.12 AS builder
ENV SOURCE_GIT_COMMIT=210b4b1e6b1b7f53b5dc0d935de9c5d27058280c SOURCE_GIT_TAG=v1.0.0-160-g210b4b1 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator SOURCE_DATE_EPOCH=1581761289 BUILD_VERSION=v4.3.3 BUILD_RELEASE=202002171705
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.3.3.20200217.170535
ENV SOURCE_GIT_COMMIT=210b4b1e6b1b7f53b5dc0d935de9c5d27058280c SOURCE_GIT_TAG=v1.0.0-160-g210b4b1 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator SOURCE_DATE_EPOCH=1581761289 BUILD_VERSION=v4.3.3 BUILD_RELEASE=202002171705
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusterversion.crd.yaml /manifests/
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusteroperator.crd.yaml /manifests/
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        name="openshift/ose-cluster-version-operator" \
        com.redhat.component="cluster-version-operator-container" \
        version="v4.3.3" \
        release="202002171705" \
        io.openshift.build.commit.id="210b4b1e6b1b7f53b5dc0d935de9c5d27058280c" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/210b4b1e6b1b7f53b5dc0d935de9c5d27058280c"

